{
    template:'${tmpl}',
    data:function(){
        return {
          multipleSelection: [],
          isSingleSelect:true,
        }
    },
    mounted:function(){

    },
    created:function(){
    },
    methods:{
      btnvisbleMethod(row,btn){
        if(btn.key=="sfz"){
          if(row.customerType=="person"){
            return true;
          }else{
            return false;
          }
        }
        return true;
      },
       onColFormater(row,column,cellvalue,index){
         return cellvalue;
       },
       handleSelectionChange:function(val){
         this.multipleSelection = val;
         console.log(val);
       },
       onRowClick(row,key,e){
         console.log(key);
         console.log(row.identityCardPic);
         console.log(row.businessLicensePic);
           if(key=="stopUser"){

           }else if(key=="yyzz"){
             if(!row.businessLicensePic){
               this.$message.warning("营业执照文件不存在");
               return ;
             }
             window.open(row.businessLicensePic);
           }else if(key=="sfz"){
            if(!row.identityCardPic){
              this.$message.warning("身份证明文件不存在");
              return ;
            }
            window.open(row.identityCardPic);
          }
         },

    },
    computed: Vuex.mapState({
      count:state=>state.count,
      headStyle:function(){
        return {"background-color":"white"};
      }
    }),
    vname:"gsb_customerinfo"
}
